<!--
  @description:符合性评审-编辑表格组件
  @Modifier:yf
  @routerPath:
  @date:2020/08/5
-->
<template>
  <div class="clearfix">
    <el-button type="text" style="width:100%">
      <!-- 符合性评审提示 -->
      <span v-if="metaType === 'complianceReview'" class="fl textColor" style="color:red">否决条件：{{ filterDictText(summarizingWayList, summarizing) }}</span>
      <!-- <span class="fr textColor">
        <span>共</span>
        <span style="color:red">{{ bidSupplierNum }}</span>
        <span>位供应商，您已完成评审</span>
        <span style="color:red">{{ evalFinishSupplierNum ? evalFinishSupplierNum : 0 }}</span>
        <span>家。</span>
      </span> -->
      <span class="fr textColor">
        <span>共</span>
        <span style="color:red">{{ evalExpertNum }}</span>
        <span>位专家，共</span>
        <span style="color:red">{{ evalFinishExpertNum }}</span>
        <span>位专家完成评审。</span>
      </span>
    </el-button>
    <el-table
      v-loading="loading"
      :data="reviewList"
      :span-method="objectSpanMethod"
      style="width: 100%"
      @cell-click="cellClick"
    >
      <el-table-column header-align="center" align="center" type="index" fixed width="60px" label="序号">
        <template slot-scope="scope">
          <p>{{ scope.row.serialNumber }}</p>
        </template>
      </el-table-column>
      <el-table-column header-align="center" align="left" min-width="300" fixed label="评审点名称">
        <template slot-scope="scope">
          <p v-if="scope.row.isFixedData">
            {{ scope.row.name }}
          </p>
          <p v-else>
            {{ scope.row.factorName }}
          </p>
        </template>
      </el-table-column>
      <!-- 供应商 -->
      <el-table-column
        v-for="(item,index) in supplierList"
        :key="index"
        min-width="300px"
        align="center"
      >
        <template slot="header">
          <p>
            <el-checkbox v-model="item.checkbox" @change="checkSupplier(item)" />
            <span>{{ item.supplierName }}</span>
          </p>
        </template>
        <!-- 符合性评审 -->
        <template v-if="metaType === 'complianceReview'">
          <!-- 评审结果 -->
          <el-table-column header-align="center" column-key="evaluationResult" label="评审结果" min-width="200" align="center">
            <template slot-scope="scope">
              <template v-if="!scope.row.isFixedData">
                <el-radio-group v-model="scope.row.offerData[item.prop].evaluationResult" :label="item.prop" @change="conclusionRow(scope.row,scope.row.offerData[item.prop])">
                  <el-radio v-for="(items, ind) in scope.row.offerData[item.prop].textList" :key="ind" :label="items.typecode">
                    {{ items.typename }}
                  </el-radio>
                </el-radio-group>
              </template>
              <template v-else>
                <span v-if="scope.row.offerData[item.prop].accessment === '01'">符合</span>
                <span v-if="scope.row.offerData[item.prop].accessment === '00'">不符合</span>
              </template>
            </template>
          </el-table-column>
          <!-- 评审意见 -->
          <el-table-column header-align="center" label="评审意见" min-width="220" align="right">
            <template slot-scope="scope">
              <template v-if="!scope.row.isFixedData">
                <el-input v-model="scope.row.offerData[item.prop].evaluationOpinion" placeholder="请输入内容" />
              </template>
              <template v-else>
                <p>{{ scope.row.offerData[item.prop].evaluationOpinion }}</p>
              </template>
            </template>
          </el-table-column>
        </template>
        <!-- 商务评审、经济评审、商务经济评审 -->
        <template v-if="metaType === 'commercialTechnicalReview'" slot-scope="scope">
          <template v-if="!scope.row.isFixedData">
            <el-select v-if="scope.row.scoringMethod === '01'" v-model="scope.row.offerData[item.prop].evaluationScore" placeholder="请选择" @change="validateScore(scope.row.offerData[item.prop])">
              <el-option
                v-for="tem in scope.row.offerData[item.prop].objectiveOptions"
                :key="tem"
                :label="tem"
                :value="tem"
              />
            </el-select>
            <!-- <el-input-number
            v-else
            v-model="scope.row.offerData[item.prop].evaluationScore"
            :placeholder="getPlaceholder(scope.row)"
            :min="0"
            :precision="2"
            :controls="false"
            type="number"
            prop="evaluationScore"
            style="width: 100%"
            @blur="validateScore(scope.row.offerData[item.prop])"
          /> -->
            <el-input
              v-else
              v-model="scope.row.offerData[item.prop].evaluationScore"
              :placeholder="getPlaceholder(scope.row)"
              type="number"
              prop="evaluationScore"
              @blur="validateScore(scope.row.offerData[item.prop])"
            />
          </template>
          <template v-else>
            {{ scope.row.offerData[item.prop].evaluationScore }}
          </template>
        </template>
      </el-table-column>
    </el-table>
    <!-- 评分详细 -->
    <table class="tableData">
      <tr class="singleRow">
        <td>评审点名称</td>
        <td>{{ columnKey.factorName }}</td>
      </tr>
      <tr v-if="metaType === 'commercialTechnicalReview'" class="singleRow">
        <td>分值范围</td>
        <td>{{ columnKey.factorScore }}</td>
      </tr>
      <tr class="singleRow">
        <td>评审标准</td>
        <td>{{ columnKey.evalContent }}</td>
      </tr>
    </table>
    <!-- 商务组长可在商务评审上传附件 -->
    <!-- 技术组长可在技术评审上传附件 -->
    <!-- 商务技术组长可在商务技术评审上传附件 -->
    <table v-if="(getTenderBase.taskNo==='04'&&getTenderBase.isCommerceLeader==='01') || (getTenderBase.taskNo==='05'&&getTenderBase.isTechnologyLeader==='01') || (getTenderBase.taskNo==='06'&&getTenderBase.isTechnologyLeader==='01'&&getTenderBase.isCommerceLeader==='01')" class="tableData">
      <tr class="singleRow">
        <td>附件</td>
        <td>
          <upload
            ref="upload"
            :title="''"
            :on-change="principalFile"
            :data="procurementFile"
            :file-list="principalList"
            :auto-delete="true"
            :auto-upload="true"
            :success="successdata"
            tip-text="上传附件格式（*.doc;*.docx;*.xlsx;*. xls;）"
            accept=".doc, .docx,.xlsx;. xls;"
            file-ref="fileRef"
            but-text="点击上传"
          />
        </td>
      </tr>
    </table>
  </div>
</template>

<script>
import {
  queryProgressCase
} from '@api/procurement/procurementEvaluation'
import upload from '@comp/common/updownload/upload'// 文件上传组件
/* 公用方法*/
import { filterDictText } from '@/assets/js/utils'// 常用方法
/* 公共参数方法*/
import { procurementDocumentsGroupMixin } from
  '@/views/procurement/procurementDocuments/mixins/procurementDocumentsGroupMixin'// 立项采购-字典
export default {
  name: 'ProcurementResultTableCompAdd',
  components: {
    upload
  },
  mixins: [procurementDocumentsGroupMixin],
  props: {
    // 表格渲染数据
    tableData: {
      type: Object,
      default: function() {
        return {}
      }
    },
    // getTenderBase参数
    getTenderBase: {
      type: Object,
      default: function() {
        return {}
      }
    },
    summarizing: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      loading: true,
      // 评审选项文案
      evalOptionList: [
        {
          typecode: '00',
          typelist: [
            {
              typecode: '01',
              typename: '符合'
            },
            {
              typecode: '00',
              typename: '不符合'
            }
          ]
        },
        {
          typecode: '01',
          typelist: [
            {
              typecode: '01',
              typename: '通过'
            },
            {
              typecode: '00',
              typename: '不通过'
            }
          ]
        },
        {
          typecode: '02',
          typelist: [
            {
              typecode: '01',
              typename: '合格'
            },
            {
              typecode: '00',
              typename: '不合格'
            }
          ]
        }
      ],
      // 供应商列表
      supplierList: [],
      // 评审列表
      reviewList: [],
      // 选择供应商
      supplierCheckList: [],
      // 符合性评审固定底部文案
      complianceListData: [
        {
          name: '结论',
          prop: 'accessment',
          isFixedData: true
        }
      ],
      // 商务经济评审固定底部文案
      commeTechListData: [ // 底部固定文案数据列表
        {
          name: '最终得分',
          prop: 'evaluationScore',
          isFixedData: true // 是否为固定数据
        }
      ],
      columnKey: {
        factorName: '', // 评审点名称
        evalContent: '', // 评审标准
        factorMaxScore: null, // 评审最高分
        factorMinScore: null, // 评审最低分
        factorScore: null // 评审范围
      }, // 指标类型
      metaType: this.$route.meta.type, // 路由meta type信息。complianceReview符合性评审commercialTechnicalReview商务经济评审
      isPassValidate: false, // 输入分数是否通过校验
      bidSupplierNum: '', // 投标供应商数量
      evalExpertNum: '', // 评委数据
      evalFinishExpertNum: '', // 已完成评委数量
      evalFinishSupplierNum: '', // 已完成供应商数量
      spanArr: [], // 二维数组，用于存放单元格合并规则
      selectedSupplierList: [], // 勾选供应商数据
      procurementFile: {
        bizId: '', // 业务主键Id
        fileType: ''// 文件类型
      }, // 附件信息
      principalList: [] // 文件列表
    }
  },
  created() {
    // 查询文件参数
    this.fileParameters()
  },
  mounted() {
    // 初始化表格数据
    this.initData()
    // 获取评委供应商数量
    this.getProgressCase()
    // 初始化最终分数
    this.initSrcoe()
  },
  methods: {
    filterDictText,
    // 初始化表格数据
    initData() {
      // tableData供应商数据 tableList评标数据
      const { tableData, tableList } = JSON.parse(JSON.stringify(this.tableData))
      const reviewList = []// 指标信息
      // 遍历评标数据
      tableList.forEach((reviewData) => {
        // 获取指标下供应商投标数据
        const supplierReviewList = reviewData.evalFactorResultVos || []
        let data = {}
        // 遍历供应商投标信息
        supplierReviewList.forEach(supplierReview => {
          // 遍历供应商-表头
          tableData.forEach(supplier => {
            // 遍历供应商报价信息和供应商进行匹配
            if (supplier.supplierId === supplierReview.supplierId) {
              // 设置表头prop
              supplier.prop = supplierReview.supplierId
              // 供应商单选框状态初始化
              // supplier.supplierRadio = ''
              // 表格展示数据
              data = {
                // 投标信息
                ...reviewData,
                offerData: {
                  ...data.offerData,
                  // 供应商投标信- 设置表格展示数据
                  [supplierReview.supplierId]: {
                    evaluationResult: supplierReview.evaluationResult ? supplierReview.evaluationResult : '', // 符合性评审单选框状态
                    evaluationOpinion: supplierReview.evaluationOpinion ? supplierReview.evaluationOpinion : '', // 符合性评审评审意见
                    evaluationScore: supplierReview.evaluationScore ? supplierReview.evaluationScore : '', // 商务经济得分
                    supplierId: supplier.supplierId, // 供应商id
                    supplierName: supplier.supplierName, // 供应商名称
                    textList: this.getText(supplierReview.evalOption), // 评审选项文案
                    objectiveOptions: reviewData.objectiveOptions ? reviewData.objectiveOptions.split(',') : '' // 客观分可选值
                  }
                }
              }
              // 删除不需要的参数
              delete data.evalFactorResultVos
            }
          })
        })
        reviewList.push(data)
      })
      this.init(tableData, reviewList)
      // 渲染数据
      this.supplierList = tableData// 供应商列表
      this.reviewList = reviewList// 评标信息
      this.loading = false // 关闭loading
    },
    // 初始化底部固定数据
    init(tableData, tableList) {
      // 判断是符合性评审
      if (this.metaType === 'complianceReview') {
        // 评标数据里追加固定文案
        this.complianceListData.forEach(item => {
          let offerData = {}
          tableData.forEach(supplier => {
            offerData = {
              ...offerData,
              ...item,
              [supplier.supplierId]: {
                accessment: '',
                evaluationOpinion: '',
                supplierId: supplier.supplierId,
                arrList: []
              }
            }
          })
          item.offerData = offerData
        })
        tableList.push(...this.complianceListData)
      }
      // 商务经济
      if (this.metaType === 'commercialTechnicalReview') {
        // 评标数据里追加固定文案
        this.commeTechListData.forEach(item => {
          let offerData = {}
          tableData.forEach(supplier => {
            offerData = {
              ...offerData,
              ...item,
              [supplier.supplierId]: {
                score: 0,
                evaluationScore: 0,
                supplierId: supplier.supplierId,
                arrList: []
              }
            }
          })
          item.offerData = offerData
        })
        tableList.push(...this.commeTechListData)
      }
    },
    // 初始化最终分数
    initSrcoe() {
      const len = this.reviewList.length - 1
      this.reviewList.forEach((reviewData, index) => {
        Object.keys(reviewData.offerData).forEach((key, ind) => {
          const offer = reviewData.offerData[key]// 获取供应商报价信息
          const supplierId = this.reviewList[len].offerData[key].supplierId
          // 符合不符合的参数
          const current = reviewData.offerData[supplierId]
          if (this.metaType === 'commercialTechnicalReview') {
            // 如果是当前supplierId下的数据 只取当前列下面的数据做相加
            if (!reviewData.isFixedData && key === supplierId) {
              // 转为数字
              const evaluationScore = offer.evaluationScore * 1
              if (evaluationScore) {
                // 每个都有自己的Score 只自己加自己的 不去影响其他人的数据
                this.$set(this.reviewList[len].offerData[supplierId], 'score', evaluationScore)
                const itemScore = this.reviewList[len].offerData[supplierId].evaluationScore
                const allScore = itemScore + evaluationScore
                this.$set(this.reviewList[len].offerData[supplierId], 'evaluationScore', allScore)
              }
            }
          } else if (this.metaType === 'complianceReview') {
            let arrList = []
            if (this.reviewList[len].offerData) {
              arrList = this.reviewList[len].offerData[supplierId] !== undefined ? this.reviewList[len].offerData[supplierId].arrList : []
            }
            if (!reviewData.isFixedData && key === supplierId) {
              if (current.evaluationResult !== '') {
                if (current.evaluationResult === '01') {
                  arrList.push('01')
                } else if (current.evaluationResult === '00') {
                  arrList.push('00')
                }
              }
            }
            // 是否全部选完
            if (arrList.length === len) {
              // 是否有不符合的
              if (arrList.indexOf('00') > -1 && key === supplierId) {
                this.$set(this.reviewList[len].offerData[supplierId], 'accessment', '00')
              } else if (arrList.indexOf('00') < 0 && key === supplierId) {
                this.$set(this.reviewList[len].offerData[supplierId], 'accessment', '01')
              }
            }
          }
        })
      })
    },
    // 导出时用的参数
    getExportSupplier() {
      const supplierList = this.supplierList.filter(supplier => supplier.checkbox)// 取得已选中的报价供应商
      const supplierIds = []// 供应商报价id
      supplierList.forEach(supplier => {
        supplierIds.push(supplier.supplierId)
      })
      return {
        supplierIds, // 供应商报价id
        supplierList// 已选中的报价供应商
      }
    },
    // 点击单元格事件
    cellClick(row) {
      this.columnKey = {
        factorName: row.factorName, // 名称
        evalContent: row.evalContent, // 标准
        factorMinScore: row.factorMinScore, // 最低分
        factorMaxScore: row.factorMaxScore, // 最高分
        factorScore: row.factorScore // 评分范围
      }
    },
    // 单元格合并
    objectSpanMethod({ row, column, rowIndex, columnIndex }) {
      const listLen = this.reviewList.length
      if (columnIndex === 0) {
        if (rowIndex === listLen) {
          return {
            rowspan: 2, // 需要合并的行数
            colspan: 1 // 需要合并的列数，设置为0，不显示该列
          }
        }
      }
    },
    // 一键评审/智能评审
    onekeyScore() {
      // 动态提示文本
      let promptText = ''
      // 符合性评审
      if (this.metaType === 'complianceReview') {
        promptText = '符合'
      }
      // 商务经济评审
      if (this.metaType === 'commercialTechnicalReview') {
        promptText = '满分'
      }
      this.$confirm(`确认将所有未评审项目设为${promptText}吗？`, '提示', {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        confirmButtonClass: 'confirmBtn',
        cancelButtonClass: 'cancelBtn',
        type: 'warning'
      }).then(() => {
        // 遍历报价信息
        const len = this.reviewList.length - 1
        // 遍历供应商报价信息和供应商进行匹配
        this.reviewList.forEach((reviewData, index) => {
          Object.keys(reviewData.offerData).forEach(key => {
            const offer = reviewData.offerData[key]// 获取供应商报价信息
            const supplierId = this.reviewList[len].offerData[key].supplierId
            // 符合不符合的参数
            const current = reviewData.offerData[supplierId]
            // 判断符合性评审
            if (this.metaType === 'complianceReview') {
              // 判断是否选择评审结果
              if (offer.evaluationResult === '') {
                offer.evaluationResult = '01' // 设置选中符合
              }
              const arrList = this.reviewList[len].offerData[supplierId].arrList ? this.reviewList[len].offerData[supplierId].arrList : ''
              if (!reviewData.isFixedData && key === supplierId) {
                if (current.evaluationResult !== '') {
                  if (current.evaluationResult === '01') {
                    arrList.push('01')
                  } else if (current.evaluationResult === '00') {
                    arrList.push('00')
                  }
                }
              }
              // 是否全部选完
              if (arrList.length === len) {
                // 是否有不符合的
                if (arrList.indexOf('00') > -1 && key === supplierId) {
                  this.$set(this.reviewList[len].offerData[supplierId], 'accessment', '00')
                } else if (arrList.indexOf('00') < 0 && key === supplierId) {
                  this.$set(this.reviewList[len].offerData[supplierId], 'accessment', '01')
                }
              }
            }
            // 判断商务经济评审
            if (this.metaType === 'commercialTechnicalReview') {
              // 判断是否未填写得分
              if (offer.evaluationScore === '' || offer.evaluationScore === undefined || offer.evaluationScore === null) {
                offer.evaluationScore = reviewData.factorMaxScore // 设置得分为最高分
              }
              // 如果是当前supplierId下的数据 只取当前列下面的数据做相加
              if (!reviewData.isFixedData && key === supplierId) {
                // 如果是第一次循环 则情况总数的值
                if (index === 0) {
                  this.$set(this.reviewList[len].offerData[supplierId], 'evaluationScore', 0)
                }
                // 转为数字
                const evaluationScore = offer.evaluationScore * 1
                const allScore = this.reviewList[len].offerData[supplierId].evaluationScore
                const socreSum = evaluationScore + allScore
                this.$set(this.reviewList[len].offerData[supplierId], 'evaluationScore', socreSum)
              }
            }
          })
        })
      }).catch(() => {
      })
    },
    // 更改供应商下的最终结论 00符合 01不符合
    conclusionRow(row, data) {
      const supplierId = data.supplierId
      let arrList = []
      // 获取需要选择数组的长度
      const len = this.reviewList.length - 1
      arrList = []
      this.reviewList.forEach(reviewData => {
        const current = reviewData.offerData[supplierId]
        if (current.evaluationResult !== '') {
          if (current.evaluationResult === '01') {
            arrList.push('01')
          } else if (current.evaluationResult === '00') {
            arrList.push('00')
          }
        }
      })
      // 是否全部选完
      if (arrList.length === len) {
        // 是否有不符合的
        if (arrList.indexOf('00') > -1) {
          this.accordWith(data, '00')
        } else {
          this.accordWith(data, '01')
        }
      }
    },
    accordWith(data, str) {
      // 解决数据不实时更新的问题 （上一次数据）
      const len = this.reviewList.length - 1
      const reviewList = this.reviewList.splice(len, 1)
      this.reviewList.push(reviewList[0])
      // 对应 supplierId的数据
      const supplierId = data.supplierId
      this.supplierList.forEach(item => {
        if (item.supplierId === supplierId && str === '00') {
          this.$set(this.reviewList[len].offerData[supplierId], 'accessment', '00')
        } else if (item.supplierId === supplierId && str === '01') {
          this.$set(this.reviewList[len].offerData[supplierId], 'accessment', '01')
        }
      })
    },
    // 校验输入的分数,设置最终得分
    validateScore(data) {
      const supplierId = data.supplierId
      let score = 0
      // 校验输入
      this.isPassValidate = true
      this.reviewList.forEach(reviewData => {
        Object.keys(reviewData.offerData).forEach(key => {
          const offer = reviewData.offerData[key]// 获取供应商报价信息
          // 校验是否为整数
          // if (offer.evaluationScore && offer.evaluationScore.toString().includes('.')) {
          //   this.$message.warning(`指标【${reviewData.factorName}】的评分必须为整数,请输入供应商【${offer.supplierName}】的分数`)
          //   offer.score = ''
          // }
          // 校验是否小于0
          if (offer.evaluationScore && offer.evaluationScore * 1 < 0 && !reviewData.isFixedData) {
            this.$message.warning(`指标【${reviewData.factorName}】的评分不能小于0,请输入供应商【${offer.supplierName}】的分数`)
            offer.score = ''
            offer.evaluationScore = ''
          }
          // 校验是否高于最高分
          if (offer.evaluationScore && offer.evaluationScore > reviewData.factorMaxScore) {
            this.$message({
              message: `指标【${reviewData.factorName}】最高分数为【${reviewData.factorMaxScore}】分，请您重新评审供应商【${offer.supplierName}】的分数`,
              type: 'warning'
            })
            offer.evaluationScore = ''
            this.isPassValidate = false
          }
          // 校验是否低于最低分
          if (offer.evaluationScore && offer.evaluationScore < reviewData.factorMinScore) {
            this.$message({
              message: `指标【${reviewData.factorName}】最低分数为【${reviewData.factorMinScore}】分，，请您重新评审供应商【${offer.supplierName}】的分数`,
              type: 'warning'
            })
            offer.evaluationScore = ''
            this.isPassValidate = false
          }
          // 如果是当前supplierId下的数据 只取当前列下面的数据做相加
          if (this.isPassValidate && key === supplierId && !reviewData.isFixedData) {
            // 转为数字
            const evaluationScore = offer.evaluationScore * 1
            if (evaluationScore) {
              score = score + evaluationScore
            }
          }
        })
      })
      // 获取长度
      const len = this.reviewList.length - 1
      // 解决数据不实时更新的问题 （上一次数据）
      const reviewList = this.reviewList.splice(len, 1)
      this.reviewList.push(reviewList[0])
      // 更改最终得分
      this.supplierList.forEach(item => {
        // 如果是当前修改的
        if (item.supplierId === supplierId) {
          item.score = score
          // 取length，动态加到最后一个数据上，也就是固定的最终得分
          this.$set(this.reviewList[len].offerData[supplierId], 'evaluationScore', score)
        }
      })
    },
    // 获取符合性评审评审文案
    getText(evalOption) {
      let optionList = []
      this.evalOptionList.forEach(item => {
        if (item.typecode === evalOption) {
          optionList = item.typelist
        }
      })
      return optionList
    },
    // 设置商务经济评分数输入框的动态placeholder
    getPlaceholder(data) {
      if (!data.isFixedData) {
        return `请输入，最低分${data.factorMinScore}分，最高分${data.factorMaxScore}分`
      } else {
        return `最终得分`
      }
    },
    // 获取评委、供应商完成数据
    getProgressCase() {
      const data = {
        evalExpertId: this.getTenderBase.evalExpertId, // 专家评审表ID
        driverId: this.getTenderBase.driverId, // 驱动id
        packId: this.getTenderBase.packId, // 标段id
        evalRule: this.getTenderBase.evalRule // 评审规则 【00–整体步骤 01-单个评委步骤】
      }
      queryProgressCase(data).then(res => {
        if (res.data) {
          // 投标供应商数量
          this.bidSupplierNum = res.data.bidSupplierNum
          // 专家数量
          this.evalExpertNum = res.data.evalExpertNum
          // 已完成供应商数量
          this.evalFinishSupplierNum = res.data.evalFinishSupplierNum
          // 已完成评委数量
          this.evalFinishExpertNum = res.data.evalFinishExpertNum
        }
      })
    },
    // 向父组件传递勾选的数据
    checkSupplier(item) {
      if (item.checkbox) {
        this.selectedSupplierList.push(item)
        this.$emit('checkSupplierList', this.selectedSupplierList)
      }
    },
    // 附件上传
    principalFile(file, fileList) {
      this.principalList = fileList
    },
    // 文件上传成功的回调
    successdata(file) {
    },
    // 文件参数
    fileParameters() {
      // 判断是商务评审还是技术评审
      if (this.getTenderBase.taskNo === '04' || this.getTenderBase.taskNo === '06') {
        this.procurementFile.fileType = 'prot_project_procurement_eval_expert_commerce_file'
        this.procurementFile.bizId = this.getTenderBase.driverId
      }
      if (this.getTenderBase.taskNo === '05') {
        this.procurementFile.fileType = 'prot_project_procurement_eval_expert_technology_file'
        this.procurementFile.bizId = this.getTenderBase.driverId
      }
    }
  }
}
</script>

<style lang="less" scoped>
  @import '~@assets/style/common/public.less';
.tableData{
  margin-top: 20px;
}
.textColor{
  color: @dark-font;
}
</style>
